Recover My Files: User Info

License Agreement

This document is a legally binding agreement between you and Crocware Pty Ltd ABN 79 100 297 149 ("CrocWare"), the developer of the software program "Recover My Files" ("Software"). Permission to use the Software and any documentation included with the Software ("Documentation") is conditional upon you agreeing to the terms set out below. By installing or otherwise using the Software you agree to be bound by the terms of this agreement. If you do not wish to accept the terms, do not install or use the Software and (if using a CD-ROM) return the Software and Documentation to CrocWare in its original packaging within 14 days of receiving the Software.

In consideration of the payment by you of the applicable fees, CrocWare grants to you, and you accept, a non exclusive non-transferable license to use the Software and Documentation . CrocWare is and remains the exclusive owner of the Software and the Documentation. You acknowledge that copyright in the Software and Documentation remains at all times with CrocWare. Unauthorized copying or modification of the Software and/or Documentation will entitle CrocWare to immediately terminate this Agreement. CrocWare shall have the right to check license details at any time in any reasonable manner.

You may freely distribute the unregistered "trial" version of the Software.

The "Standard license" permits you to use one copy of the Software on a single computer or, in the event that you have purchased multiple licenses, to install the Software concurrently on multiple computers equivalent to the number of licenses that you have purchased. The standard license does not allow you to use the Software to perform commercial data recovery services for other parties.

The "Commercial license" permits you to use one copy of the Software on a single computer or, in the event that you have purchased multiple licenses, to install the Software concurrently on multiple computers equivalent to the number of licenses that you have purchased. The commercial license permits you to use the Software to perform commercial data recovery services for other parties.

A "Site license" will be negotiated directly with an individual or company separate to this agreement .

You are not permitted to share the registration key information provided to you for this Software with other users.

Unless you have purchased multiple licenses, this license does not permit you to load or use the Software on a network server or similar device which permits access by multiple computers

CrocWare may from time to time revise or update the Software and shall make such revisions or updates available subject to payment of the applicable license fee. Support for the Software is provided via the contact email address support@recovermyfiles.com .

The Software and Documentation is protected under United States law and international law and international conventions and treaties. You may not rent, lease, sub license, assign or otherwise transfer use of the Software to others without the express written permission of CrocWare. Doing so will entitle CrocWare to immediately terminate this Agreement .

Except to the extent applicable law specifically prohibits such restrictions, you may not reverse engineer, reverse compile, disassemble or otherwise modify the Software in any way .

You are solely responsible for protecting yourself, your data, your systems and your hardware used in connection with the Software. CrocWare will not be liable for any damages suffered from the use of the Software.

BY USING THIS SOFTWARE, YOU EXPRESSLY AGREE THAT ALL RISKS ASSOCIATED WITH THE PERFORMANCE AND QUALITY OF THE SOFTWARE IS ASSUMED SOLELY BY YOU. YOU ACKNOWLEDGE AND AGREE THAT YOU HAVE EXERCISED YOUR INDEPENDENT JUDGEMENT IN ACQUIRING THE SOFTWARE.

TO THE EXTENT PERMITTED BY LAW, CROCWARE SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE, EVEN IF CROCWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. THE SOFTWARE IS MADE AVAILABLE BY CROCWARE "AS IS" AND "WITH ALL FAULTS". TO THE EXTENT PERMITTED BY LAW, CROCWARE DOES NOT MAKE ANY REPRESENTATIONS OR WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, CONCERNING THE QUALITY, SAFETY OR SUITABILITY OF THE SOFTWARE, INCLUDING WITHOUT LIMITATION ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT OR THAT THE SOFTWARE IS ERROR FREE .

IF ANY CONDITION OR WARRANTY IS IMPLIED INTO THIS AGREEMENT UNDER ANY APPLICABLE LEGISLATION CANNOT BE EXCLUDED, OR IF NOTWITHSTANDING THE EXCLUSION OF LIABILITY ABOVE CROCWARE IS OTHERWISE LIABLE TO YOU, THEN TO THE EXTENT PERMITTED BY LAW THE LIABILITY OF CROCWARE FOR BREACH OF THE CONDITION OR WARRANTY WILL BE LIMITED TO ONE OR MORE OF THE FOLLOWING AS DETERMINED BY CROCWARE IN ITS ABSOLUTE DISCRETION:

(i) IN THE CASE OF GOODS, (A) THE REPLACEMENT OR SUPPLY OF EQUIVALENT GOODS OR THE REPAIR OF THE GOODS; OR (B) THE PAYMENT OF THE COST OF REPLACING THE GOODS, ACQUIRING EQUIVALENT GOODS, OR HAVING THE GOODS REPAIRED; AND
(ii) IN THE CASE OF SERVICES, THE SUPPLYING OF THE SERVICES AGAIN OR THE PAYMENT OF THE COST OF HAVING THE SERVICES SUPPLIED AGAIN.

This agreement cannot be changed or altered except by a written document signed by you and CrocWare. This agreement is governed by the laws in force in New South Wales, Australia. Each party irrevocably and unconditionally submits to the non-exclusive jurisdiction of the courts of New South Wales, Australia .

© Copyright Crocware Pty Ltd, 2003


Disclaimer & Copyright

RMF logo - horizontal - white.jpg (12614 Bytes)

www.RecoverMyFiles.com

© Copyright Crocware Pty Ltd, 2003
Disclaimer

The software available for downloading through Internet sites and published by Crocware (the "Software") is provided pursuant to this license agreement. Crocware encourages you to know the possible risks involved in the download and use of the Software from the Internet. You are solely responsible for protecting yourself, your data, your systems and your hardware used in connection with this software. Crocware will not be liable for any damages suffered from the use of the Software.

BY USING THIS SOFTWARE, YOU EXPRESSLY AGREE THAT ALL RISKS ASSOCIATED WITH THE PERFORMANCE AND QUALITY OF THE SOFTWARE IS ASSUMED SOLELY BY YOU. CROCWARE SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE, EVEN IF CROCWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. THE SOFTWARE IS MADE AVAILABLE BY CROCWARE "AS IS" AND "WITH ALL FAULTS". CROCWARE DOES NOT MAKE ANY REPRESENTATIONS OR WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, CONCERNING THE QUALITY, SAFETY OR SUITABILITY OF THE SOFTWARE, INCLUDING WITHOUT LIMITATION ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT. FURTHER, CROCWARE MAKES NO REPRESENTATIONS OR WARRANTIES AS TO THE TRUTH, ACCURACY OR COMPLETENESS OF ANY INFORMATION, STATEMENTS OR MATERIALS CONCERNING THE SOFTWARE THAT IS CONTAINED IN CROCWARE'S SOFTWARE DOWNLOAD SITE. IN NO EVENT WILL CROCWARE BE LIABLE FOR ANY INDIRECT, PUNITIVE, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES HOWEVER THEY MAY ARISE AND EVEN IF CROCWARE HAS BEEN PREVIOUSLY ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.


When to use the floppy disk version

Important - Where do I install Recover My Files?

Even though Recover My Files is a small program [approx 2Mb] if you install it to a computer on which you have deleted or lost files it is possible that it could overwrite the files you are actually trying to recover! For this reason a downloadable version is available from http://www.recovermyfiles.com/Download_RMF.html.

Reason: When a file is "emptied" from the Windows Recycle Bin, the data which makes up that file is not deleted from your computer"s hard drive. It is only the reference that Microsoft Windows uses to locate the storage position of the file that is removed. This is why Recover My Files can locate the deleted file and successfully recover it.

However, once a file is deleted, Microsoft Windows marks the space that the file originally occupied as "free space" and available for re-use by new files. If a new file is created there is a chance that it will now be allocated the free space which was previously used by the deleted file. If this happens then the deleted file will be overwritten resulting in permanent data loss.

Therefore we recommend that if you have lost important data, you should limit the use of the computer until you can take steps to get your data back. This will maximize your chances of data recovery.

If Recover My Files is not already installed on your computer then you should try one of the following:

  • Go to another PC in preparation of downloading Recover My Files. DO NOT download anything to the PC where the deleted or lost files are located.

  • If the computer with the deleted files is running Windows NT/2000/XP/2003 then download the "Floppy Disk" version of Recover My Files. (This will not work on Windows 9x). If the computer with the deleted files is running Windows 95/98/ME then download the "Uncompressed" executable version of Recover My Files. Links to these files can be found at http://www.recovermyfiles.com/Download_RMF.html.

  • The Floppy Disk version will fit onto an empty floppy disk.

  • The Uncompressed executable can easily be burnt onto a CD or copied to a USB drive or some other portable storage device.

  • If you are on a LAN (Local Area Network) then you can also run Recover My Files from a network shared drive

Once your recovery is complete we highly recommend that you download and install the "Installable" version of Recover My Files. That way you will be prepared to recover deleted and lost files in future.

You may also want to keep Recover My Files on CD ready for an emergency. For full details on how to setup an AutoRun CD with Recover My Files please read the Frequently Asked Questions .


Installing Recover My Files

Minimum Installation Requirements

  • Windows 95, 98, ME, NT, 2000, XP, 2003

  • 2 megabytes of disk space

  • 64 megabytes of RAM (128 or more megabytes recommended)

  • Files can only be saved to an alternate physical drive, and cannot be saved onto the same drive from where they are recovered . This can be another partition on your existing hard drive, another hard drive, Iomega Zip®, Jazz® , Orb, USB 'Pen Drive', LS-120, floppy disk, network drive, server volume, etc.

Prior to installing Recover My Files, consider if you should initially use the "Stand alone" version of Recover My Files (available for download from http://www.recovermyfiles.com/Download_RMF.html).

Please refer to "Where to run Recover My Files" for further information.

Internet Download - Installation

Recover My Files can be downloaded from the Internet at www.RecoverMyFiles.com. The installation version is called "RecoverMyFiles-Setup.exe". Simply run this program and follow the installation wizard.

Installation from Compact Disk

Recover My Files can be run directly from CD. If you have the CD version and are installing Recover My Files to your computer from CD, simply insert the CD into you computer and the following screen should automatically appear:

If this message does not appear then Using Windows Explorer, navigate to the CD drive letter (often this is D:) and click on AutoRun.exe.

Now Click on the button which says "Install Recover My Files" to my PC and follow the prompts. The installation version of Recover My Files can also be directly run from the CD by navigating and executing the file "RecoverMyFiles-Setup.exe".

Program Registration

If you are upgrading from an earlier version of Recover My Files there is no need to un-install previous versions. If you have previously registered Recover My Files your existing registration code should automatically activate the 'save recovered files' feature of the new version. If your previous registration code does not work then please contact us. If you wish to purchase a registration code you can purchase on-line now .

Un-Install

To un-install the Recover My Files Version 2 go to the Windows control panel and select "add/remove programs".


How to register Recover My Files

The free, downloadable version of Recover My Files provides a demonstration of the ways the program works, but to save recovered documents it is necessary to register Recover My Files. A Registration Key can be purchased at www.RecoverMyFiles.com or by clicking on the "Buy Now" button at the top of this screen.

Purchase is available through a secure web site. When the purchase has been verified - usually while you wait - you will be sent a Registration Key via email. [Please ensure that your email settings , i.e. spam filters, do not prevent delivery of your Registration Key.] If you have any problems receiving your Registration Key please contact support@recovermyfiles.com.

The Registration Key is entered into the program by selecting the "Help" menu and then "Register" which will present the following screen:

Register1.JPG (39215 Bytes)

Enter your registration details exactly as provided. Use cut and paste, if possible, to avoid keying errors. Recover My Files will now be registered and you will be able to save your recovered files.


Ive lost my registration key / I need an updated key

I have lost my registration key or I need to update my registration key

If you have an existing key make sure you enter both the user name and Registration Key exactly as it was sent to you. If possible, cut and paste this information into the appropriate fields.

If you are upgrading from Version 2.16 or earlier you will need a new registration key. Please contact us at support@recovermyfiles.com .


Introducing Recover My Files

Recover My Files is an advanced data recovery program that is simple to use. It will recover deleted and lost documents, graphics, file archives, multimedia and other files from your computer, digital camera, floppy disk or other storage media. [For more information on File Types, click here.]

Recover My Files can recover data from:

  • Files and Folders emptied from the Recycle Bin.

  • Files and Folders deleted by command-line entry or while using DOS.

  • Drives that have been accidentally re-formatted - even after a new operating system has been installed!

  • Digital cameras which have been formatted or from which photos have been deleted.

  • Temporary backup files created by applications like Word, Excel and PowerPoint.

Recover My Files can recover data from various types of file storage formats including:

  • Hard Drives

  • Floppy disks

  • Zip Disks

  • Digital cameras

  • Compact Flash cards

  • Sony Memory Sticks

  • Smart Media

  • USB Drives

  • Or any other storage device where the Drive Letter [e.g. C; D; E; etc] can be seen.

Recover My Files recovers many different types of files. Many File Types can be previewed prior to actual data recovery. Some of the types of files that can be recovered and previewed are listed in the table below, to which new file types are constantly being added.

Recover My Files: File Types [ As of Oct '03: red-tick.gif (569 Bytes) = recovered file can be previewed [image] = names of the internal files are displayed. See also recent additions and more details in More Filetype Information ]
Documents
 | Adobe PDF | .pdf | -
 | Adobe Pagemaker | .pmd | -
 | Avery Design Pro | .zdp | -
 | Corel Presentation | .cdr | -
 | Excel | .xls |
family tree.GIF (926 Bytes) | Family TreeMaker | .ftw | -
help.GIF (997 Bytes) | Help | .hlp | -
 | MS Works Spreadsheet | .wks | -
 | MS Works Document | .wps |
 | PowerPoint | .ppt | -
 | Publisher | .pub | -
 | MS Project | .mpp | -
 | Quattro Pro v7 & up | .qpw | -
 | Rich Text | .rtf |
 | Text | .txt |
 | Visio | .vsd |
 | Web Pages | .html |
 | Word | .doc |
 | Word Perfect 6/7 | .wpd | -
 | Word Perfect | .wpg | -

Graphics
 | AutoCAD | .dwg |
 | Bitmap | .bmp |
 | Corel Draw | - |
 | CRW graphics (Canon RAW) | .crw | -
 | Enhanced MetaFile | .emf |
 | GIF | .gif |
 | GIS shape files | .shp .shx | -
 | JPEG and EXIF | .jpg |
 | PaintshopPro | .psp |
 | Photoshop | .psd |
 | PhotoDraw | .mix | -
 | Postscript | .eps | -
 | PNG | .png |
 | Quark Express | .qxd | -
 | SmartDraw | .sdr | -
 | TIFF | .tiff |
 | Windows MetaFile | .wmf |
Multimedia
 | AVI | .avi | -
 | ASF | .asf | -
 | AIFF Audio | .aif | -
 | MP3 | .mp3 | -
 | Quicktime Movie | .mov | -
 | MPEG | .mpg | -
 | Musical | .mid | -
 | Sibelius Music | .sib | -
 | Wave | .wav |
 | Windows Audio | .wma |
 | Windows Video | .wmv |
Archive
 | Cabinet | .cab |
 | GZIP | .gzip | N/A
 | LZH | .lzh |
 | RAR | .rar |
 | TAR | .tar |
 | WinZip | .zip |
Email
0095 - Mail.GIF (987 Bytes) | Generic Email | .txt | -
 | Outlook | .pst | -
 | Outlook Express | .dbx |
address book.GIF (952 Bytes) | Outlook Address Book | .wab | -

Database & Financial
 | Access | .mdb | -
 | DBase and FoxPro | .dbf |
 | MS Money | .mny | -
 | MS-SQL | .mdf |
 | MS Works Database | .wdb | -
 | Omnis | .df1 .lbr | -
 | Quickbooks | .qbw | -
 | Quicken | .qdf | -
 | SAS Data File | .sas7bdat | -
 | MYOB | .prn | -


How Recover My Files Works

Recover My Files uses three methods to find and recover your files. These methods are to:

  1. Search Temporary and User-Defined folders

  2. Search for "Deleted" Files

  3. Search for "Lost" Files

So what do each of these terms mean? Let's briefly explain each one in turn.
1. Searching Temporary and User-Defined Folders

Many software applications automatically create temporary files without the users' knowledge or intervention. Notable examples are Microsoft Office products like Word, Excel and PowerPoint. In the event of file loss, recovered temporary files may contain exact copies of the files that you were working on just prior to deletion of the original.

Recover My Files is configured to search the "default" folders that contain temporary files on your computer. You can alter these settings in the second wizard screen when conducting a search. The following screen capture shows two folders which be searched for temporary files:

SelectDrivesandFolders.JPG (52054 Bytes)

You can add new folders to search by simply double-clicking on the text at the bottom of the list. Or you can double-click on a folder to delete it from the search. By default, Recover My Files will search the Recycle Bin and the Documents and Settings folder. Research indicates that these two folders are most likely to contain lost or temporary files.

2. Searching for Deleted Files

It may seem obvious that when your computer's Recycle Bin is emptied, all contents of the files it contained are permanently deleted. However this not necessarily so, as the file data usually remains on the drive until the Operating System copies new data over it (typically when a new file is created. Recover My Files will scan your computer for such Deleted Files, including those previously emptied from the Recycle Bin. When such a Deleted File is located, Recover My Files will analyse it; if it is of a File Type that is recognisable by Recover My Files, then it will be recovered into the folder of the matching application. If the Deleted File can be recovered but its File Type cannot be recognised then it is recovered into the "Other Types" folder.

Note: Deleted Files of unknown type can be recovered but their content cannot be previewed.

3. Searching for Lost Files

A Lost File is different from a Deleted File because there is no longer any reference to its location or even to its properties in the Operating System [i.e. Windows]. Whereas "Deleted Files" may retain properties such as Filename, Created Date, Last Modified Date and Size, "Lost Files" do not. Furthermore, "Lost Files" cannot be recovered using many commonly-used Undelete utilities. It is the ability of Recover My Files to recover Lost Files - as distinct from files that have merely been deleted - that differentiates it from other utilities and applications. Recover My Files uses advanced algorithms to find lost files by searching for and examining the entire hard disk (or other media such as a floppy or CD) and reconstructing the file from remaining binary data traces, which are invisible to other Undelete utilities.


Step 1 - Select Options

Step 1 - Select the Type of Search to Perform

When launched, Recover My Files presents the "Wizard" screen below which allows you to select the appropriate search type.

The first step in recovering files is to choose the type of search to perform. Making a selection in this screen changes the "Options" settings. If you select "Fast Search", "Complete Search" or "Format Recover " the Options settings are auto-configured accordingly.

The "Manually Set Options " button allows you full access to the advanced Options configuration menu. You can read more about the advanced Options settings here.

Wizard1.JPG (38941 Bytes)

The selections provided are largely self-explanatory and function as follows:

Fast Search will

  • Search for Deleted Files

  • Search for Deleted Folders

  • Search for temporary files only where a Complete Search also looks for "Lost files". To read more about the difference between Deleted and Lost files please see How Recover My Files Works .

  • Format Recover is specifically designed to recover files from a drive that has been accidentally re-formatted. Format Recover will even recover files after a new operating system has been installed.


Step 1 - Selecting drives to search

Step 2 - Select Drives and Folders to Search

The next step in recovering files is to select the storage devices or drives that you wish to search. This is done by clicking the small box next to the disk-drive name (e.g. "C: Local Disk"). A tick will appear which indicates that Recover My Files will search this drive. You can select multiple drives to search.

Wizard2.JPG (44230 Bytes)

There are two Default folders included Recover My Files searches. One is the "Recycle Bin", which is included to verify whether any deleted files remain in this location. The other Default location is the "Temporary Files" folder, which is often used by programs such as Microsoft Word to store Temporary Copies of your files. (See also Advanced Search Tips ).

Use the "Add Folders to search..." button to add additional folders to search.

To remove folders from the search, click on the tick to de-select, it or double-click the folder name to completely remove it from the Select Drives and Folders window.

To proceed press the Next button. This button will only be available if a listed disk drive or folder is selected.


Step 2 - Selecting file types to recover

Step 3 - Select File Type to Recover

The third step in the recovery process is to select the "Lost File" types that you wish to recover. A File Type is selected by clicking on the checkbox next to its name. Use the "+" drop down menu indicator to show All File Types.

Common File Types are auto-selected by default. You may wish to add or remove File Types depending on the kind of data that you are trying to recover. However remember that the less file types are selected, the faster the search will be, so if you certain of the kind of file that you are searching for, then only select that checkbox.

Selection of certain File Types, particularly MP3 and MPEG, results in a considerably slower recovery process.

You can add and remove selected file types during the search process by using the "Options" button.

Wizard3.JPG (41393 Bytes)

To proceed, press the "Start" button. This button will only be available if at least one File Type is selected for the search.


Step 3 - Running the search

Step 4 - Running the search

Recover My Files will search the selected folders and drives for the desired files. This process may take many minutes depending on the size and number of the disk drives, the speed of the computer and the selected File Types. The progress bar will display elapsed time and proportion of search remaining.

SearchProgress.JPG (12799 Bytes)

You can abort the search anytime by pressing the Stop button.

As the search progresses, you will see files being recovered. Note that you can preview recovered files as while the search is progressing; see Step 5 - Previewing the results for further information.


Step 4 - Previewing and saving recovered files

Step 5 - Previewing and saving recovered files

NOTE: As a precaution against overwriting Lost or Deleted Files, this procedure requires recovered files to be saved to a different drive from that being searched; as noted elsewhere, Recover My Files will not allow the target drive to be used for saving recovered files. The alternative drive can be a Floppy Disk, server volume, removable drive, USB drive, etc. Note that CD Burners are NOT recommended for the recovery process.

Previewing Recovered Files

As the search is in progress you will see the File Type and the number of files recovered appear in the top panels of the search window. Either while the search is in progress, or at completion, the recovered files can be previewed by expanding the results section (by clicking on the "+" drop down marker) and highlighting individual files. This will activate the "preview panel" in the bottom half of the program window where the contents of individual recovered files are displayed. This is shown in the screen capture below:

The fastest way to move through the recovered file list in the top half of the program is to use the arrow keys.

As noted elsewhere, it is not possible to preview all File Types. You will be notified by a message in the preview window if the preview function is not supported for the particular file type you have selected.

In some instances a recovered file, such as a JPEG graphic, that should normally preview, will not display in the preview panel even though it is still possible to be recovered. In these cases the file should be saved and then opened using the software application in which it was created.

Saving Recovered Files

To save recovered files, select them by clicking the adjoining checkbox (as shown in the screen capture above). Groups of like files can be selected simultaneously by selection of the File Type box at the top level.

Once files are selected for recovery the "Save Files" button activates (if product has been registered). When this button is selected, the program asks for the location to which the files are to be saved. Note: It is not possible to save the recovered files to the same disk drive from which they were recovered, as this may overwrite valuable (yet to be recovered) data. Select another location, such as another hard drive, a floppy disk, USB drive or other media onto which to save your files. Once they have been saved, examine the files as you would normally under Windows to verify their contents.

NOTE: now is a good time to make a backup of the recovered files that you have just recovered!


The Options button

Options

Tab One: File Types. Search speed will decrease in proportion to the number of File Types which are selected; if you are certain of which File Type you are searching for, then only select that File Type. If you are unsure which type of file has been lost, then select more options.

Note that selections can be made even while the search is being executed.

options-Search.gif (24439 Bytes)

Tab Two: The "General" tab (see below) is a Program Control which determines whether the Recover My Files "Wizard" or "Tips on startup" dialogue boxes appear when the program is opened. The "Wizard" screens are detailed in the "Steps to File Recovery" section and provide the simplest way of launching the program.

It is also where the program "Event Log" can be activated or deactivated. The Event Log is displayed under a tab in the Preview Window. It contains detailed information about the activity of the program and can assist in troubleshooting the File Recovery process.

options-general.gif (7605 Bytes)

The "Search" tab (see the screen shot below) controls how Recover My Files will search for your Deleted and Lost Files

options-search1.gif (10245 Bytes)

Deleted Files

In this Panel you can select whether you want to search for Deleted files by clicking the "Search for Deleted Files" box.

Also you can select whether you want Recover My Files to try and determine the type of Deleted File by clicking the "Try and determine file type of Deleted Files"

Our Recommendation: Keep both these options on.

Lost Files

In this Panel you can select whether you want to search for Lost files by clicking the "Search for Lost Files" box.

Also you can select whether you want Recover My Files to try and determine the file size of the Lost Files by clicking the "Try and determine file size of Lost Deleted Files"

When Recover My Files finds a deleted file on your hard disk the program: determines the type of file that it has found (e.g. is it a MS Word document or a JPEG); and then determines the size or length of the file (e.g. is it 1 megabyte or 5 megabytes).

When the "Go to end of file when file found" option is selected:

Recover My Files stops processing the file that it has located, moves to the end of the file, and continues the search of your hard disk from this point. It will continue this process until it reaches the end of your hard disk and the search is complete.

  • Advantages: The speed of the search is increased because the contents of identified file types are not searched.

  • Disadvantages: If corruption of a deleted file has occurred the reported files size may be inaccurate (a rare occurrence) and may cause the program to 'skip' an otherwise recoverable file.

When the "Go to end of file when file found" option is NOT selected:

Recover My Files locates a deleted file, calculates its type and size, but continues to search through the files contents looking for other embedded files. In rare instances the information used to determine the file size can be corrupt and inaccurate. Using this method we ensure that other files are not missed due to the skipping process.

  • Advantages: This method may recover additional files from your computer.

  • Disadvantages: It will increase the time that it takes for the search to complete.

Our Recommendation: It is rare that files will be missed due to the reporting of an incorrect file size. We recommend the "Go to end of file when file found" is selected (the default setting) as the search speed increase is beneficial. However, if time is not an issue in your search, turning off the "Go to end of file when file found" option will ensure that all possible files are found.

Advanced: Lost Files

In rare circumstances you may which to make use of three advanced features in Recover My Files.

  • Search Active and Non-Active Areas. If this is selected Recover My Files will search the entire drive, sector by sector or cluster by cluster. This should only be used if you have accidentally deleted your entire drive, re-partitioned your drive, or re-formatted your drive.

  • Prompt for Start Cluster/Sector. You can use this option to start the search of your disk drive at a specific sector or cluster on the drive. You will be prompted at the beginning of the search for the sector or cluster.

  • The Search Level: Cluster or Sector, specifies whether you want Recover My Files to search using sectors or clusters. Cluster searching is faster, as is the Default setting. Use sector searching when you have accidentally formatted, or re-partitioned your drive.


Advanced Options

Searching for Temporary Files

As mentioned elsewhere, some programs, such as Microsoft Word, make use of "Temporary Files" to store working copies of documents. It may be the case that the file you have lost is still located on your computer as an active Temporary File. As Recover My Files is primarily focused on searching the areas where deleted files are likely to reside, the program must be prompted to search for "active" files (such as Temp files) by specifying the folders in which these may be located.

For a detailed description of how Microsoft Word uses temporary files, refer to the Microsoft Knowledge base article 211632 at http://support.microsoft.com/default.aspx?scid=kb;en-us;211632.]

The primary folders are included by default in Recover My Files search. These are the "Recycle Bin" (which can be regarded as a temporary folder) and a folder called "Temp". As versions of Microsoft Windows have changed so to have the location of the Temporary storage folders. In more recent versions of Windows (such as Windows XP and 2000) Temporary folders are nested under user profiles, for example: C:\Documents and Settings\Graham\Local Settings\Temp. Add Temporary folders to the Search list by double-clicking the "Add Folder" line in the search window and then navigating to the Temp folder by using the Browse dialogue box, e.g.:

C:\Temp

C:\Windows\Temp

C:\Documents and Settings (and then specify a user or user/s profile path as required).


Advanced Options

Searching the Internet Cache

Have you noticed that Recover My Files brings back a wide variety of deleted HTML Web pages and graphics? What you are seeing are files which have been deleted from the computers "Internet Cache". When a user visits a Web site, the files (HTML and graphics) that comprise each page are written to the hard drive of the computer. This increases the speed that Web pages are displayed by the computers Web browser. These recovered files tell you the Web sites that users have been visiting on the computer.

However, you can also examine the contents of the 'active' cache by using the "Add Folders To Search" option to add in the "Temporary Internet Files" folder. Depending upon the Operating System you have installed, this folder can be located in the Windows folder or under user profiles in the "Documents and Settings" folder.


Recovering from formatted hard disks

Recovering files from formatted hard disks

The format command is not destructive - it does not destroy or eliminate all of the data that comprises a file. The format command simply removes reference information that Microsoft Windows uses to locate files on the hard disk. It does not delete the files themselves and thus they can be recovered.

If you have lost important files due to the format of your hard drive the best option is to recover files is to conduct a full sector search. We recommend the following settings found under the "OPTIONS" button:

If you have accidentally deleted a Windows partition from your computer (eg. "C:\" drive) the drive will not appear in the "Select drives to search" screen. Recover My Files will not be able to obtain access to the hard disk in order to start the recovery process. In this case it is possible to add a new partition to the drive (make the partition the maximum size available) and then reformat the drive to provide the program with a drive letter. This process is not destructive and you will then be able to use Recover My Files to recover the files that it contains.

When you have completed the recovery don't forget to reset the Option settings to "Defaults" (using the button provided).


Frequently Asked Questions

Frequently Asked Questions (FAQ)

Q. If I purchase a registration key how long will it take to be sent to me?

A. When you purchase on-line using our secure e-commerce provider, Share-IT, your registration key is provided immediately via a web page at the end of the purchase process - no waiting! It is also sent by email.

If there is a delay in your credit card provider authorizing the transaction, your registration key is emailed as soon as authorization takes place (often within 20 minutes).

Q. I purchased the program but when I enter my registration key it says that it is invalid?

A. Make sure you enter both the username and registration key exactly as it is in the email that is sent to you by our on-line distributor. The best option is to cut and paste this information from the email itself.

If you try this and still have problems, please contact support@recovermyfiles.com.

Users upgrading from Version 2.13 or earlier will need a new registration key due to changes to the Security Algorithm in Version 2.14. If you are a registered user you should have received this new key by email in the last week of April 2003. If this was not received please email support@recovermyfiles.com.

Q. How is Recover My Files different from other data recovery programs?

A. Recover My Files uses a recovery technique in which every storage location of your hard drive is searched. Recover My Files will bring back deleted files even though all Operating System reference to the files has been destroyed. Many other utilities rely on the existence of remaining Operating System pointers to the file data; however Recover My Files unique technology recognizes deleted files by their internal structure alone, maximizing identification and recovery.

Q. What file types will Recover My Files recover?

A. Recover My Files will find any type of "Deleted File" (defined below) and will find more than 50 types of "Lost Files", a listing of which is provided here (If you looking to recover a file that is not on this list contact support@recovermyfiles.com and we may be able to quickly add it for you).

Q. Can Recover My Files Recover File recover files from a CD?

A. Recover My Files will recognize a limited number of CD file formats. If you get a message stating "Recover My Files does not recognize the file system on Drive D:\" then it will not work. You need to search the Internet for a specialist CD recovery service.

Q. What is the difference between a "Deleted File" and a "Lost File"?

A. Recover My Files separates recovered files into "Deleted Files" and "Lost Files" in the results window:

"Deleted Files" are those that can be recovered because Microsoft Windows file reference information remains on you computer”s hard drive. This is the information used to find and recover the file and is the standard method by which data recovery programs work.

"Lost Files" are those for which there is no longer any Microsoft Windows file reference information remaining. It is Recover My Files alone that that is able to search the entire hard drive to find these files and extract them. Because the Microsoft Windows file reference information is no longer present the original name of the file is no longer available. Recover My Files renames Lost Files in the format "Recovered_[filetype]_1".

Q. How do I rename a "Lost File", e.g. "Recovered_[filetype]_1" back to its original name?

A. For "Lost Files" the original file name has been destroyed. However, if the files are Microsoft documents with file properties, such as “Author” and “Title”, it may help you to rename the files using the properties as the file name. If you have recovered a large number of Lost Files you may wish to try our automated Mass Renaming utility which is available here: www.recovermyfiles.com/downloads/massrenamer.zip.

To use the Mass Renaming utility simply run the program and then drag and drop the files you want to rename into the grid at the top of the program window. Select the properties you would like in the file name. Click "Test" to see the results of the renaming without finalizing the renaming process. Select "Rename" when you are happy with the new filenames.

Q. Can I run Recover My Files from CD?

A. Yes. When you install Recover My Files on you computer the file “RecoverMyFiles.exe” is written to your hard drive (the default installation folder is "C:\Program Files\RecoverMyFiles"). Copy this file, burn it onto a CD and execute this file from the CD.

If you would like to use our CD front end, shown here:

CD_front_end_small.gif (18440 Bytes)

you will require the following five files to be written to your CD:

1. “RecoverMyFiles-Setup.exe”

This is the program setup file that is downloaded from our Web site or via this link: http://www.recovermyfiles.com/downloads/RecoverMyFiles-Setup.exe

2. “RecoverMyFiles-Help.chm”

When Recover My Files is installed on your computer via RecoverMyFiles-Setup.exe the file “RecoverMyFiles-Help.chm (the help file) is written to your computer (the default installation folder where this file should be located is "C:\Program Files\RecoverMyFiles");

3. “RecoverMyFiles.exe”

When Recover My Files is installed on your computer via RecoverMyFiles-Setup.exe the file “RecoverMyFiles.exe” (the program file) is written to your computer (the default installation folder where this file should be located is "C:\Program Files\RecoverMyFiles");

4. “Autorun.exe”

Autorun.exe is available for download from our website. See instructions below.

5. “Autorun.inf”

Autorun.inf is available for download from our website. See instructions below.

“Autorun.exe” and “Autorun.inf” are contained within the compressed file “Autorun.zip” which can be downloaded from our website using the following link: http://www.recovermyfiles.com/downloads/Autorun.zip. “Autorun.zip” is a compressed file, so to open it you will need to use a program such as WinZip (available free here).

If you have correctly written these 5 files to a CD, when you insert the CD in your computer the screen shown above should automatically open and all the buttons should perform their appropriate functions.

Please note that if you use the CD on a computer on which Recover My Files has not previously been registered you will need to enter in your registration key information to unlock the save feature of the program (it is not possible to register the version on the CD itself as the “Save” command is performed by modification of the Microsoft Windows registry of the computer on which the program is run).

If you have copied Recover My Files onto CD and want to use our DVD cover, you can download it here.

Q. The Recover My Files search takes a long time. How do I speed up the search?

A You can speed up the search by reducing the number of file types that Recover My Files is searching for. This can be done in the initial wizard screens or by selecting the “Options” button during the search process. You can also preview the recovered files as the search takes place. If you have located the file you wish to retrieve, simply stop the search, select the file (by placing a tick in the box) and save the file.

Q. The preview windows said that certain files could not be displayed. Can I still recover them?

There are a number of reasons why a recovered file may not preview. It is still possible that the file may be recovered. Save the recovered file and then view its contents.

Q. Is it always possible to recover files emptied from the Windows Recycle Bin?

A. Not always. When you empty a file from the Windows Recycle Bin the contents of the file remains on your hard drive. However, the Windows Operating System (e.g. Windows 98) no longer recognizes that it should preserve this deleted information. If a new file is saved to the same area of the hard disk it will overwrite the deleted material permanently erasing it. Hence the recomendation that to limit the use of your computer (or at least the hard drive from which the file needs to be recovered).

Q. What are the best settings to recover files from a formatted hard drive?

A. If you have lost important files due to the format of your hard drive the best option is to recover files is to conduct a full sector search. We recommend the following settings found under the “OPTIONS” button (these settings are selected automatically by clicking on the "Format Recover" button in the first wizard screen):

format_settings.gif (23751 Bytes)

Q. I recover lots of graphics and HTML files that I have never even seen before. Where do they all come from?

A. You are probably looking at files written to you computer during the normal process of surfing the Web. A Windows computer use an "Internet Cache", which saves Web page files to your hard drive to speed up Web access. By examining the recovered graphics and HTML pages you can work out what a user has been up to on your computer - even if they have deleted the evidence!

Q. Where do I save my recovered files?

A. You must save the recovered files to another hard drive or storage media. This is so that the recovered files do not overwrite other important data on the hard drive being search (see the question above). You may use:

  • floppy disks;
  • USB disks;

removable drives (Jaz® , Zip® etc.); or

  • You can save your files to a network drive, as long as the network drive is mapped to the computer on which you are running Recover My Files with a drive letter (e.g. Where the network drive is drive "G:\").

It is not recommended to save recovered files to writeable CD-ROM .


Recovering Deleted Email

Recovering Deleted Electronic Mail

 Recover Deleted Microsoft Outlook PST files

Recover My Files will search for and locate deleted Microsoft Outlook PST files (not individual deleted messages):

  • Run Recover My files and select the drive to search for deleted files (you may also wish to include a search of the "active" files on your system to make sure that the PST hasn't been accidentally moved or hidden. To do this double click on "Add folders to search" and add the "C:\" drive or a folders of your choice);

  • Select "outlook email file" as the type of file to search for;

  • Save the recovered files to another storage located (you will need the registered version to do this);

  • Try and open the file with Microsoft Outlook (start Outlook, select FILE / OPEN / OUTLOOK DATA FILE [this is the location in Outlook 2002].

TECH NOTE: Microsoft Outlook PST files are complex and in some instances recovered PST files will not function until they have also been repaired. This is done by running a program called "scanpst.exe" which is installed by default on all Windows computer systems, or download scanpst.exe here. Scan PST will make another repaired copy of your file. Try and open this file with Outlook as described above. If this does not work there are other commercially available PST repair programs which can be located by searching the Internet.

Recover Deleted Outlook Express DBX files

Recover My Files will search for and locate deleted Microsoft Outlook Express ".dbx" files (It will not recover individual messages deleted from within a folder). The preview window allows you to see the contents of the recovered file, including the number of messages, the "to" and "from" address fields, the subject and the date each message was sent and received.

  • Run Recover My Files and select the drive to search (you may also wish to include a search of the "active" files on your system to make sure that the files haven't been accidentally moved or hidden. To do this double click on "Add folders to search" and add the "C:\" drive or a folders of your choice);

  • Select "Outlook Express Email File" as the type of file to search for;

  • Run the search and save the recovered files to another storage location (you will need the registered version to save recovered files);

  • To open the recovered files run Microsoft Outlook Express and point it to the recovered files (to point the program to the recovered files select TOOLS / OPTIONS / MAINTENANCE / STORE FOLDER [this is the location in Outlook Express 6]).
Recovering Web Based Email (Hotmail , Yahoo etc)

When you use a Web based email program such as Hotmail or Yahoo you are actually using your Internet Browser to log into a remote computer which stores your email. When you delete an email you are deleting it from the remote computer and it cannot be recovered (see http://help.yahoo.com/help/us/mail/manage/manage-23.html ).

However, if you have previously viewed the deleted email on the computer that you are using it may be possible to recover copies of the pages that you have viewed. When you view Web based email with your Internet Browser a copy of the page you saw on your screen is written to your computer into the "Temporary Internet Cache". Caching is a way that computers speed up access to Internet pages. You may have copies of the Web mail messages still stored in your Temporary Internet Files folder or, as the cache is frequently automatically emptied, as a deleted HTML pages on your computer.

  • Run Recover My Files, in the first screen double click and on "add folders to search". Then you must find your "Temporary Internet Files" folder and add it to the search (in Windows XP add the "Documents and Settings" folder).

  • Then also select your "C:\" drive to be searched for deleted files (by placing a green tick next to it).

  • In the next screen select "Hypertext Markup Language" (the format of Web pages) as the file type to be searched for and run the search .

  • Preview the recovered Web pages files by clicking on the "+" sign to show all recovered files and then highlighting each file, the contents of the HTML page will be displayed in the bottom window. HTML pages will not be recovered with graphics but you will see all the text. Look through the recovered file to find those ones that are from your Web based email.


More Filetype Information

File Types

3D Studio Max (.MAX)

Graphic format. 3D Studio Pro cannot be previewed.

Adobe PageMaker (.PMD)

DTP program. Adobe PageMaker files cannot be previewed.

Adobe Portable Document Format (.PDF)

This is a common document format generated by Adobe Acrobat and licensees thereof. PDF cannot be previewed. You can also find Adobe Illustrator files (.ai) using this option.

Adobe Photoshop (.PSD)

Adobe Photoshop files can be previewed in Recover My Files. Sometimes a recovered file may be reported as corrupted in the preview pane of Recover My Files; however some of the image may still be successfully recovered. The best course of action is to try and open the recovered PSD file using Adobe Photoshop, and then use Save As. Alternately, other utilities such as the freeware graphic viewing utility “IrfanView” (www.irfanview.com) may prove successful.

AutoCAD versions 13, 14 and 2000 (.DWG and .DXF)

There are two types of AutoCAD files that Recover My Files can recover, DWG files and DXF files. DWG files should be selected under the “Graphics” section of file types to recover. DXF files are text files. To recover DXF files select the “Text” file type under the “Documents” section of file types to recover. DWG files cannot be previewed however DXF files are text and can be previewed. [Services are available on the Internet to repair corrupted AutoCAD files.]

Avery Design Pro (.ZDP)

Avery Design Pro files cannot be previewed.

Bitmap (.BMP)

Bitmap are an older Windows graphics file format, commonly used for desktop Wallpapers and images created by Microsoft Paint. BMP files can be previewed.

Cabinet (.CAB)

Cabinet files are generated by a Windows install utility used during software installation processes. A listing of the files and folders contained within a CAB file can be previewed.

Canon Raw Images (.CRW) – special procedure

Canon Raw images are created by Canon Digital cameras and stored on digital camera media. Digital cameras store images in several formats; Canon digital cameras include the CRW file format. The CRW format consists of the raw CCD data stored directly onto the digital camera’s media (e.g. Compact Flash). CRW files contain embedded JPEG files; Recover My Files can locate and preview these files.

Corel Draw (.CDR)

CDR files can be recovered but cannot be previewed.

Dbase and FoxPro (.DBF)

This option will retrieve XBase, dBase III, IV, V, and Visual FoxPro database files. DBF files can be previewed.

Encapsulated Postscript (.EPS)

EPS is the main format written by Adobe for interchanging data between programs. It can contain both vector info and raster info. [Vector graphics is a technique for representing a picture as points, lines and other geometric entities. Rasterization is performed by a raster image processor (RIP), which turns text and images into the matrix of pixels (bitmap) that will be displayed on screen or printed on the page. Both these data types are for onscreen or printed graphics].

EPS files which contain a “thumbnail” can be can be previewed. EPS files that cannot be previewed may still be valid files and should be saved as they may be able to be opened by their creating application.

Enhanced Metafile (.EMF) & Windows Metafile (.WMF)

EMF and WMF files are often used by Windows to store and transport graphic data between operations. For example, when Windows spools documents to a printer, a graphical image of the document to be printed is created and stored as a temporary file. Hence it is possible to recover deleted and lost EMF or WMF files which display an original document even if the original printed document no longer exists on the computer.

EMF and WMF files can be previewed.

Family TreeMaker (.FTW)

Family TreeMaker is a genealogy program. Family TreeMaker files cannot be previewed.

Font File (.FON)

Font files contain fonts used on Windows, Macintosh and Linux operating systems. .FON files default to a filesize of 256KB. .FON files cannot be previewed.

Generic Email (.TXT)

Many email programs save email messages as special text files. These can be previewed.

GIF – Graphics Interchange Format (.GIF)

GIF files are commonly used to store small images on web pages.

GIF files can be previewed.

GUEMap (.GUE)

GUEMap is a program for mapping interactive fiction games (Adventure games). By default GUE files are saved with a filesize of 256KB. To restore a recovered GUE file to its original file size it should be opened and re-saved using the GUE Map application. GUE files cannot be previewed.

GIS Shape (.SHP and .SHX)

GIS Shape files are maps containing geological and topographical data. To successfully recover a complete data set containing GIS information, 3 files must be recovered. They are:

1. Shape file (.SHP)

2. Geometry index file (.SHX)

3. Dbase file (.DBF)

To recover these 3 different files it is necessary to select “GIS Shape files (.SHP and .SHX) as well as Dbase files (.DBF) in the types of files to recover. .SHP and .SHX file can not yet be previewed, however .DBF files can be previewed.

GZIP (.GZIP)

GZIP files contain only 1 file. If possible the files name will be displayed.

Help Files (.HLP)

Help files are commonly supplied with applications. Help files cannot be previewed.

HTML – Web Pages (.HTM)

HTML is the format of World Wide Web pages. HTML files can be previewed.

JPEG - Joint Photographic Experts Group (.JPG)

JPEG files come in two formats:

1. JFIF – JPEG File Interchange File Format

2. EXIF – Exchangeable Image File Format

JFIF and EXIF file formats both have the .JPG file extension. Both of these file type can be previewed.

Lotus Word Pro (.LWP)

Lotus Word Pro files default to 1MB in file size. The default filesize can be changed using the Options. LWP files cannot be previewed.

LZH Archive (.LZH)

A listing of the files and folders contained within a LZH file can be previewed.

Microsoft Access (.MDB)

MDB files cannot be previewed. Various programs use this format, and files created by these programs will be found using this option. Examples of these programs are: Legacy Family Tree Deluxe, and old versions of Microsoft Money (pre version 99).

Microsoft Excel (.XLS)

Microsoft Excel spreadsheets can be previewed, including each worksheet, with formatting. Sometimes a corrupt Excel document can be opened and then saved successfully using the OpenOffice application (www.openoffice.org).

Microsoft Money (.MNY)

This filetype is for Microsoft Money v2000 and above. Older MS-Money files need to be located using the Microsoft Access option. MNY files cannot be previewed.

Microsoft Outlook Email (.PST)

PST files cannot be previewed.

Microsoft Outlook Express (.DBX)

A listing of the emails contained within a DBX file can be previewed.

Microsoft Outlook Address Book (.WAB)

WAB files cannot be previewed.

Microsoft PhotoDraw (.MIX)

Microsoft PhotoDraw files cannot be previewed.

Microsoft PowerPoint (.PPT)

Microsoft PowerPoint presentations cannot be previewed.

Microsoft Project (.MPP)

Microsoft Project files cannot be previewed.

Microsoft Publisher (.PUB)

Microsoft Publisher files cannot be previewed.

Microsoft SQL Server (.MDF)

SQL files cannot be previewed.

Microsoft Visio (.VSD)

Some Visio drawings contain a thumbnail and can be previewed. Visio documents without a thumbnail cannot be previewed. In some instances the thumbnail can be previewed but the Visio file is still corrupted. The only true test is to open the file in the Visio application.

Microsoft Word (.DOC)

Microsoft Word documents can be previewed with some formatting.

Sometimes a corrupt Word document can be opened and then saved successfully using the OpenOffice application (www.openoffice.org).

Microsoft Works Database (.WDB)

Microsoft Works Databases cannot be previewed.

Microsoft Works Document (.WPS)

Microsoft Works Documents can be previewed with some formatting.

Microsoft Works Spreadsheet (.WKS)

Microsoft Works Spreadsheets cannot be previewed.

Musical Instrument Digital Interface (.MID and .MIDI)

MIDI files cannot be previewed.

MYOB Accounts (.DAT)

MYOB files cannot be previewed.

Omnis (.DF1, .LBR, .OHR)

Omnis database files cannot be previewed.

Paint Shop Pro version 5, 6, 7, 8 (.PSP)

Paint Shop Pro images can be previewed.

Portable Network Graphic (.PNG)

PNG files are commonly used to display web based graphics files.

PNG files can be previewed.

Quark Express (.QXD)

Quark Express files default to 10MB in filesize. The default filesize can be changed using the Options. QXD files cannot be previewed.

Quattro Pro (.QPW)

Quattro Pro cannot be previewed.

QuickBooks (.QBW)

QuickBooks files cannot be previewed.

Quicken (.QDF)

This option only finds older style Quicken files (pre 2000). Quicken files cannot be previewed.

RAR Archive (.RAR)

A listing of the files and folders contained within a RAR file can be previewed.

Rich Text Format (.RTF)

Common interchange format for word-processor files. RTF files can be previewed.

SAS Data (.SAS7BDAT)

SAS is a Statistical Analysis program. SAS files cannot be previewed.

Sibelius Music (.SIB)

Sibelius is a music notation program. Sibelius music files cannot be previewed.

SmartDraw (.SDR)

SmartDraw is used to draw flowcharts, floor plans, organisational charts etc. SDR files cannot be previewed.

Text Documents (.TXT)

Text documents can be previewed.

TIFF - Tagged Image File Format (.TIF)

TIFF files are commonly used to store faxes, scanned images and high resolution graphics. TIFF files can have multiple pages embedded, for instance in the case of a multi-paged fax. Recover My Files can preview the first image in TIFF files.

True Type Font (.TTF)

True type font files contain fonts used on Windows, Macintosh an Linux operating systems. TTF files cannot be previewed.

Unknown OLE (.$$$)

OLE stands for Object Linking and Embedding. Often these file are called a “Compound” or “Structured” file. Many different applications use the OLE format to store data native to that application. For instance Microsoft uses the OLE format to store Word, Excel, PowerPoint and Visio files. Recover My Files can recover any type of OLE-formatted file. If the content within the recovered OLE file is not known, then it becomes an “Unknown OLE” file. Some examples of OLE files which are not explicitly recognised by Recover My Files are:

SigmaPlot (.JNB), Microsoft .NET Installation databases (.TMP), Email Message files (.MSG), and Microsoft Windows Thumbnail databases (.DB). Unknown OLE files are previewed in Hexadecimal.

WordPerfect Presentations (.SHW)

WordPerfect Presentations files cannot be previewed.

WordPerfect Documents and Graphics v8+ (.WPD and .WPG)

WordPerfect documents and WordPerfect graphics can be stored in an OLE formatted file (See “Unknown OLE” file format for more details). WordPerfect Documents and Graphics cannot be previewed. To find all WordPerfect documents you must select this option and the
”WordPerfect 6 and 7” option.

WordPerfect 6 and 7 (.WPD)

WordPerfect documents cannot be previewed.

TAR – Tape Archive (.TAR)

A listing of the files and folders contained within a TAR file can be previewed.

ZIP Archive (.ZIP)

A listing of the files and folders contained within a ZIP file can be previewed.

Streaming Media Formats:
AIFF - Audio Interchange File Format (.AIF)
Audio Streaming Format (.ASF)
Audio Video Interleave (.AVI)

AVI is a common multimedia format for audio/video data.  AVI files cannot be previewed.
Moving Pictures Expert Group File (.MPG and .MPEG)

This is a digitally compressed video file, and is now commonly used due to its compression and high image quality. MPEG files cannot be previewed.
MP3 (.MP3)

MP3 files are related to the MPEG standard, but contain only compressed audio data. They are now one of the most common audio format. MP3 files cannot be previewed.

QuickTime Movie (.MOV)

MOV files cannot be previewed.

WAVE (.WAV)

WAVE files are audio waveform files. WAVE files can be previewed.

Windows Media Audio (.WMA)
Windows Media Video (.WMV)

This also includes WMA, WMV Windows media audio Windows media Video. The extension is always WMV. ASF, WMA and WMV files cannot be previewed.


File Types

About File Types

What is a '"File Type"? As you probably know, the term "file" refers to a saved document or other piece of information created by the computer user using a software application such as Microsoft Word or Adobe Illustrator. The link between the program which is used to create the file, and the file itself, is kept in the "Windows Registry" which contains a list of all of the types of files that various programs create. Windows recognises the link between the file and the creator program because of the three-letter suffix that is attached to the File Name by the user or the program. Note that in some recent versions of Windows (e.g. Windows XP) the file suffix is actually hidden by the Operating System however the suffix is still used and must be added to the file name when this is created.

For example, Microsoft Word documents have the suffix ".doc" at the end of the name. If you remove this three-letter extension, then Microsoft Windows will not recognise the kind of file it is, nor be able to establish a link to the program that created it. Windows will not be able to open the document automatically if you double-click on it, although it may still be opened from within the "Open File" dialogue box; or you can add the appropriate suffix if you know the File Type to restore the automatic link to the creator program. If the suffix is attached to the File Name, then Microsoft Windows will automatically represent the file with the appropriate icon and automatically launch the appropriate application when you click on it.

Back to Introduction


Technical Support

Recover My Files Technical Support

Technical support is available at our website, www.RecoverMyFiles.com/Recovery_checklist.html .

Email support is available by contacting support@recovermyfiles.com . If you are seeking technical advice it will assist if you can provide the following information:

1. The Operating System installed on your computer.

2. A brief description of the circumstances under which the files were lost or deleted.

3. An indication as to how long ago the files were lost or deleted.

4. A brief description of the attempts you have already made to recover the files and the result of those attempts.

We can also provide you with Web Chat online support. Please arrange via email and access Web Chat support via the link at http://www.recovermyfiles.com/Contact_us.html